DevSum 2016: 'Dev. Tools & Tech' generator-esri-widget install problem

412
3
Jump to solution
08-24-2016 08:00 AM
WilliamMiller4
Occasional Contributor II

I watched the DevSummit 2016 Tech Session "Web AppBuilder for ArcGIS: Development Tools and Techniques" on the new ESRI Training site. (Also available at this link.) I followed along with the video and later reviewed the process on github. This part works fine, but Tom Wayson goes on to use yo esri-widget to create a sub-widget. I found the documentation on github, but when I use the command to install it, npm install -g generator-esri-widget, I get the result pictured below.

Command prompt result after entering

Does anyone know what I need to do to get this to work properly?

Also, do I need to worry about the WARN deprecated messages? I saw some comments to similar questions that said no and others that said to install the update separately.

I've never used Yeoman or Grunt (or run Node.js), so any help will be greatly appreciated.

William

0 Kudos
1 Solution

Accepted Solutions
TomWayson
Esri Contributor

What happens when you type in the following commands?

npm ls -g yo
yo

If yeoman is not installed, you'll need to run

npm i yo

View solution in original post

0 Kudos
3 Replies
TomWayson
Esri Contributor

What happens when you type in the following commands?

npm ls -g yo
yo

If yeoman is not installed, you'll need to run

npm i yo
0 Kudos
WilliamMiller4
Occasional Contributor II

Thanks Tom. I entered the code you provided and was able to select Esri Widget from the Yeoman generator list. After doing this once, I'm now able to go directly to the generator with yo esri-widget.

Again, thanks for your help.

William

TomWayson
Esri Contributor

I'm glad that worked for you.

However, I noticed what appears to be an error in the code I placed above, it should be `npm i -g yo`. Maybe that's what you did. Just mentioning it in case others come across this. 

0 Kudos